package com.huigou.topsun.base.dictionary.domain;

import com.huigou.data.domain.model.AbstractEntity;
import com.huigou.util.StringUtil;
import lombok.Data;

/**
 * @Auther: xin.lu
 * @Date: 2023/12/20/10:33
 * @Description:
 */

@Data
public class DictionaryImportData extends AbstractEntity {
    private String value;

    private String name;

    private String sequence;

    private String dictionaryId;

    private String tmpId;

    private String status;

    private String message;


    public boolean isError() {
        if (StringUtil.isBlank(status)) {
            return false;
        }
        if (status.equals("2")) {
            return true;
        }
        return false;
    }
}
